@echo off
REM This batch file creates a CoCompose distribution named CoCompose.<version>.zip

set /p version=<version.txt
set javadoc=-xdoc/allclasses-frame.* -xdoc/deprecated-list.* -xdoc/help-doc.* -xdoc/index*.* -xdoc/overview*.* -xdoc/package*.* -xdoc/serialized-form.*
set exclude=-xCVS -x.cvsignore -xarchive -xbak -xclasses -xdiagrams -xdoc/constraints -xdoc/EDU -xdoc/be -xdoc/implementations -xdoc/translate %javadoc% -xicons/full -xtogetherdoc -xschemas -xsrc -xCoCompose.jpx* -xCoCompose.tpr -xCoCompose.tws -xCoCompose.html -x*.gz -x*.zip -xSEESCOA/*.sh -xSEESCOA/*.jar -xSEESCOA/*.ini -x*.xvpics/* -xabout.html -xbuild.properties -xplugin.xml
set include=*.html *.css CoCompose.* *.dtd *.gif *.jpg *.class *.java *.xml *.cf *.jwf *.dmp COPYING *.properties *.script *.csv

del archive\CoCompose.%version%.zip
wzzip -arp %exclude% archive\CoCompose.%version%.zip %include%
